
package de.ivu.elect.presentation.gruppe.menu;

import de.ivu.elect.business.gruppe.boundary.GruppeNachErfassungsgebietStimmenSearchParameters;
import de.ivu.elect.presentation.gruppe.GruppeNachErfassungsgebietStimmenGrafischSearchView;

public class GruppeNachErfassungsgebietStimmenAnzeigenGrafischMenuItemEntry extends AbstractGruppeNachErfassungsgebietStimmenAnzeigenMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public GruppeNachErfassungsgebietStimmenAnzeigenGrafischMenuItemEntry() {
    super();
  }

  @Override
  protected void initSearchParameters(GruppeNachErfassungsgebietStimmenSearchParameters searchParameters) {
    searchParameters.setSuchergebnisDarstellung(null); // null initialisieren, um nicht bereits initial eine Grafik zu erzeugen!
  }

  @Override
  protected String getActionViewId() {
    return GruppeNachErfassungsgebietStimmenGrafischSearchView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "ergebnis.gruppen.nach.gebiet.stimmen.anzeigen.grafisch.menu.item.label";
  }
}
